import AllValidator from "./AllValidator";
import { ValidateFunction } from "./types";
/**
 * Validator for Array parameters, which includes multiple Array validation methods.
 */
declare class ArrayValidator<T extends AllValidator, O extends boolean = false> extends AllValidator<T, O, false> {
    #private;
    output: T;
    constructor(v?: T);
    custom(fn: ValidateFunction): this;
    optional(): ArrayValidator<T, true>;
    minLength(min: number): this;
    maxLength(max: number): this;
    test(p?: any): boolean;
}
export default ArrayValidator;
